Loading...
Searching...
No Matches
pdumodel::Pdu::Statistic Struct Reference

PDU statistics. More...

`import <Pdu.idl;`

## Public Attributes

vector< CircuitBreakerStatistic > | cbStats
| Circuit breaker statistics.
vector< CtrlStatistic > | ctrlStats
| Sub controller statistics.
vector< OutletStatistic > | outletStats
| Outlet statistics
peripheral::DeviceManager Statistics | peripheralStats
| Peripheral device statistics.

## Detailed Description

PDU statistics.

Definition at line 67 of file Pdu.idl.

## Member Data Documentation

## cbStats

vector<CircuitBreakerStatistic> pdumodel::Pdu::Statistic::cbStats

Circuit breaker statistics.

Definition at line 68 of file Pdu.idl.

## ctrlStats

vector<CtrlStatistic> pdumodel::Pdu::Statistic::ctrlStats

Sub controller statistics.

Definition at line 69 of file Pdu.idl.

## outletStats

vector<OutletStatistic> pdumodel::Pdu::Statistic::outletStats

Outlet statistics

Definition at line 70 of file Pdu.idl.

## peripheralStats

peripheral::DeviceManager Statistics pdumodel::Pdu::Statistic::peripheralStats

Peripheral device statistics.

Definition at line 71 of file Pdu.idl.

The documentation for this struct was generated from the following file:

- Pdu.idl